# Caps-Train

A small executable to train an image classifier for [Caps-Server](https://christophhagen.de/git/ch/Caps-Server).

## Classifier training

The main server is running on Linux, which doesn't provide the CreateML framework required for classifier training.

Running this executable will:
- Fetch the current image catalog by checking missing and changed images
- Train a classifier on the image set
- Increment the classifier version and upload the new model
- Update the list of caps which can be recognized using the classifier
- Create missing thumbnails for each cap for the cap grid

A configuration file is required to run the training, with a valid access token for the server:

```json
{
    "folder": "../Public",
    "iterations": 20,
    "server": "https://mydomain.com/caps",
    "authentication": "mysecretkey",
}
```

The configuration file `config.json` must be located in the `Config` folder.

To start the training (on macOS), run from inside the package folder:

```bash
swift run -c release
```
